/*
Theme Name: Goover 4.0
Text Domain: goover
Version: 4.0.0
Description: Tema custom creato con Timber e Twig da Goover Creative
Author: Riccardo Basso
Author URI: https://goovercreative.it
Template: 
*/
@import "tailwind.css";

@theme {
  --spacing-78: 78%;
  --spacing-88: 88%;
  --spacing-3vw: 3vw;
  --spacing-6vw: 6vw;
  --spacing-9vw: 9vw;
  --spacing-5vw: 5vw;
  --text-2em: 2em;
  --text-h1: 40px;
  --text-h1--line-height: 48px;
  --text-h1--font-weight: 600;
  --text-h2: 30px;
  --text-h2--line-height: 36px;
  --text-h2--font-weight: 600;
  --text-h3: 24x;
  --text-h3--line-height: 28px;
  --text-h3--font-weight: 600;
  --text-h4: 16px;
  --text-h4--line-height: 20px;
  --text-h4--font-weight: 600;
  --text-p: 20px;
  --text-p--line-height: 24px;
  --color-primary: var(--colore1);
  --color-secondary: var(--colore2);
  --background-size-50: 50%;

  --breakpoint-lg: 991px;
  --shadow-default: 0 3px 16px #00000029;
}

@layer base {
  *,
  ::after,
  ::before,
  ::backdrop,
  ::file-selector-button {
    border-color: var(--color-gray-200, currentcolor);
  }
}

@layer base {
  :root {
    --allert: #ff2323;
  }
}
/*
*:focus {
  outline: 1px solid var(--colore1);
}
*/
/* header */
header .header-right > div,
.close {
  cursor: pointer;
}
header .header-right > div:not(:last-child):not(:first-child) {
  margin-left: 16px;
}

.mobile-menu:not(.active),
.search-sidebar:not(.active) {
  transform: translateX(100%);
  transition: all 0.5s linear;
}
.mobile-menu,
.search-sidebar {
  transition: all 0.5s linear;
}
.mobile-menu.active,
.search-sidebar.active {
  transform: translateX(0%);
}
.fadeIn,
.fadeInfirst,
.fadeInUp,
.fadeInUpfirst {
  opacity: 0;
}

.fadeInUp,
.fadeInUpfirst {
  transform: translateY(30%);
}

@media (min-width: 991px) {
  header .menu {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  body {
    overflow-x: hidden;
    width: 100%;
  }
  header .menu li a {
    padding: 0 16px;
  }
  header .header-right > div:not(:last-child) {
    display: flex;
    align-items: center;
  }
}

@media (max-width: 990px) {
  /* Logo sidebar */
  .logo-mobile-menu img,
  .logo-mobile-menu {
    height: 70px !important;
  }

  .menu-item {
    font-size: 2em;
    margin-bottom: 0.5em;
  }
  header .header-right > div {
    display: flex;
    align-items: center;
  }
}

/* form sito */

input:not([type="checkbox"]),
optgroup,
select,
textarea {
  border-radius: 0.5rem;
  border: 1px solid var(--colore2);
  padding: 0.75rem 1rem;
  line-height: 1rem;
  background-color: #fff;
  display: block;
}

.wpcf7-not-valid:is(button, input, optgroup, select, textarea) {
  border-color: var(--allert);
}
.wpcf7-not-valid-tip {
  color: var(--allert);
}
input::placeholder,
textarea::placeholder {
  color: #d9d9d9;
}
.wpcf7-form-control-wrap:not([data-name^="acceptance"]) {
  display: block;
}
.wpcf7-list-item {
  margin-left: 0;
}
.wpcf7-form-control-wrap .wpcf7-acceptance {
  margin-top: 2rem;
  display: inline-block;
}

input[type="submit"] {
  background: var(--colore2);
  color: #fff;
  margin-top: 1.5rem;
  padding: 0.75rem 2rem;
  cursor: pointer;
  transition: all 0.3s ease;
  border: 1px solid var(--colore2);
}
input[type="submit"]:hover {
  background: #fff;
  color: var(--colore2);
}

/* accordion  */
.accordion-item .accordion-title a {
  transition: all 0.3s ease-in-out;
}

.accordion-item:not(.active) .accordion-content {
  max-height: 0 !important;
}
.relative {
  position: relative;
}

/* pagina */

#page section p a {
  text-decoration: underline;
  font-weight: 600;
}
